Debian Bug report logs - #655281
kfreebsd-8: please provide unversioned kfreebsd-image packages

version graph

Package: src:kfreebsd-8; Maintainer for src:kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Vagrant Cascadian <vagrant@debian.org>

Date: Mon, 9 Jan 2012 23:24:02 UTC

Severity: wishlist

Fixed in version kfreebsd-defaults/8+1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#655281; Package src:kfreebsd-8. (Mon, 09 Jan 2012 23:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 09 Jan 2012 23:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-8: please provide unversioned kfreebsd-image packages
Date: Mon, 9 Jan 2012 15:21:53 -0800
Source: kfreebsd-8
Severity: wishlist

please consider providing unversioned meta-packages for kfreebsd-image and
related packages, much like the linux-latest package is handled. for example:

  kfreebsd-image-486, kfreebsd-image-amd64, kfreebsd-image-686, 
  kfreebsd-image-xen, etc.

would each depend on the current kfreebsd-image-X-* packages, where X was the
current preferred/default version in a given release.

this would make it possible to provide a sane default for other software to
select a kfreebsd-image package.

thanks!


live well,
  vagrant

DGkFBSDTSP here we go...




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#655281; Package src:kfreebsd-8. (Tue, 10 Jan 2012 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 10 Jan 2012 18:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 655281@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Vagrant Cascadian <vagrant@debian.org>, 655281@bugs.debian.org
Subject: Re: Bug#655281: kfreebsd-8: please provide unversioned kfreebsd-image packages
Date: Tue, 10 Jan 2012 19:24:31 +0100
El 10 de gener de 2012 0:21, Vagrant Cascadian <vagrant@debian.org> ha escrit:
> would each depend on the current kfreebsd-image-X-* packages, where X was the
> current preferred/default version in a given release.

That's a very subjective question.  We provide 8.x and 9.x kernels,
like upstream does. Both are supported in the installer, and
"preferred" is different for each user.

What do you want to use this for?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#655281; Package src:kfreebsd-8. (Tue, 10 Jan 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 10 Jan 2012 21:48:19 GMT) Full text and rfc822 format available.

Message #15 received at 655281@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 655281@bugs.debian.org
Subject: Re: Bug#655281: kfreebsd-8: please provide unversioned kfreebsd-image packages
Date: Tue, 10 Jan 2012 13:44:27 -0800
On Tue, Jan 10, 2012 at 07:24:31PM +0100, Robert Millan wrote:
> El 10 de gener de 2012 0:21, Vagrant Cascadian <vagrant@debian.org> ha escrit:
> > would each depend on the current kfreebsd-image-X-* packages, where X was the
> > current preferred/default version in a given release.
> 
> That's a very subjective question.  We provide 8.x and 9.x kernels,
> like upstream does. Both are supported in the installer, and
> "preferred" is different for each user.
> 
> What do you want to use this for?

more generically, i want to be able to build a kFreeBSD chroot and select a
kernel to install before i have the chroot initialized- i don't want to have to
dynamically determine the available versions from within the chroot itself, and
determining them from outside the chroot is tricky if the release i'm
installing in the chroot doesn't match the release of the host system.

specifically, i want to port LTSP to Debian GNU/kFreeBSD... right now, it
defaults to kfreebsd-image-N-FLAVOR, depending on the architecture. it would be
nice to be able to just install kfreebsd-image-FLAVOR instead, so that when N+1
comes out and N is no longer available, i don't have to update the LTSP side of
things. right now N is essentially hardcoded to 8 in LTSP.

there are more serious blockers to get LTSP working on D/GkFBSD, but thought an
unversioned kfreebsd-image package might be useful to others as well. i don't 
know what the use-cases for 8 vs. 9 vs. 10 are, really.

thanks for considering it!


live well,
  vagrant




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 15 Jan 2012 22:21:36 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Sun, 15 Jan 2012 22:21:36 GMT) Full text and rfc822 format available.

Message #22 received at 655281-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 655281-close@bugs.debian.org
Subject: Bug#655281: fixed in kfreebsd-defaults 8+1
Date: Sun, 15 Jan 2012 22:17:50 +0000
Source: kfreebsd-defaults
Source-Version: 8+1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-defaults, which is due to be installed in the Debian FTP archive:

kfreebsd-defaults_8+1.dsc
  to main/k/kfreebsd-defaults/kfreebsd-defaults_8+1.dsc
kfreebsd-defaults_8+1.tar.gz
  to main/k/kfreebsd-defaults/kfreebsd-defaults_8+1.tar.gz
kfreebsd-headers-amd64_8+1_kfreebsd-amd64.deb
  to main/k/kfreebsd-defaults/kfreebsd-headers-amd64_8+1_kfreebsd-amd64.deb
kfreebsd-image-amd64_8+1_kfreebsd-amd64.deb
  to main/k/kfreebsd-defaults/kfreebsd-image-amd64_8+1_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 655281@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-defaults package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Jan 2012 11:53:30 +0100
Source: kfreebsd-defaults
Binary: kfreebsd-image-amd64 kfreebsd-headers-amd64 kfreebsd-image-486 kfreebsd-headers-486 kfreebsd-image-686 kfreebsd-headers-686 kfreebsd-image-xen kfreebsd-headers-xen kfreebsd-image-malta kfreebsd-headers-malta
Architecture: source kfreebsd-amd64
Version: 8+1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-486 - header files for kernel of FreeBSD (meta-package)
 kfreebsd-headers-686 - header files for kernel of FreeBSD (meta-package)
 kfreebsd-headers-amd64 - header files for kernel of FreeBSD (meta-package)
 kfreebsd-headers-malta - header files for kernel of FreeBSD (meta-package)
 kfreebsd-headers-xen - header files for kernel of FreeBSD (meta-package)
 kfreebsd-image-486 - kernel of FreeBSD (meta-package)
 kfreebsd-image-686 - kernel of FreeBSD (meta-package)
 kfreebsd-image-amd64 - kernel of FreeBSD (meta-package)
 kfreebsd-image-malta - kernel of FreeBSD (meta-package)
 kfreebsd-image-xen - kernel of FreeBSD (meta-package)
Closes: 655281
Changes: 
 kfreebsd-defaults (8+1) unstable; urgency=low
 .
   * Initial release.  (Closes: #655281)
Checksums-Sha1: 
 ee4e665df34da0fb3cb3df7820be8b4cc147e7ee 1467 kfreebsd-defaults_8+1.dsc
 85cef62b6fd8b99f69fb057a441603994043ac9f 1737 kfreebsd-defaults_8+1.tar.gz
 e752e58359250a16a225b0e5239b383afb4690ad 1326 kfreebsd-image-amd64_8+1_kfreebsd-amd64.deb
 c11766858ecac512d4bc7edeb41a188a65fd671c 1324 kfreebsd-headers-amd64_8+1_kfreebsd-amd64.deb
Checksums-Sha256: 
 23bce47b7112b922ab3b9e25d6e440d8f53d572cc0594c57f3da963050f6d22f 1467 kfreebsd-defaults_8+1.dsc
 c18ad5ba7744a629b83b4ba4b5fb99c39022b6ca9850f9fc1f9311d6552b06e5 1737 kfreebsd-defaults_8+1.tar.gz
 e3322fb5fd9be149098cdbb40c041ad39e53330ab58b8de07c2cbfa166b8fb0a 1326 kfreebsd-image-amd64_8+1_kfreebsd-amd64.deb
 0edf1a55950f26530dc0284d7aa4db256aa0ebec79222e8845960e91198efa4f 1324 kfreebsd-headers-amd64_8+1_kfreebsd-amd64.deb
Files: 
 08b4c74c6b836ce1fac42be4df11596b 1467 kernel optional kfreebsd-defaults_8+1.dsc
 6f14b64309d0cfdd5baaafb01103f014 1737 kernel optional kfreebsd-defaults_8+1.tar.gz
 810888766db1c0b2469f593ececf30c3 1326 kernel optional kfreebsd-image-amd64_8+1_kfreebsd-amd64.deb
 e078e052ec75cefc16972ccbe56298f1 1324 kernel optional kfreebsd-headers-amd64_8+1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk8RY48ACgkQC19io6rUCv+YCACfTbrwZQQIa0TcjFJ1xc1ptTiG
nykAnRdTxrVw9iw8c9Hnk9tvxJBZlAfx
=mfWj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Feb 2012 07:38:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:58:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.